New Posts New Posts RSS Feed - ";" expected.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

";" expected.

 Post Reply Post Reply
Author
pgutierrez View Drop Down
Groupie
Groupie


Joined: 10-November-2015
Location: Spain
Points: 5
Post Options Post Options   Thanks (0) Thanks(0)   Quote pgutierrez Quote  Post ReplyReply Direct Link To This Post Topic: ";" expected.
    Posted: 10-November-2015 at 1:09am
Hi ORCL ToolBox
 
Work with FormsAPI Master 64bit V3.0(424) and works fine with several FAPI scripts but when try with one get an error in:
Pos     Unit                      Message
91:3   erp11gR2fmb.p2s  ";" expected.
 
Gets error when try with FUNCTION definition in the first line
FUNCTION Es_heredada (genobj : number; pnum : Integer) : boolean;
 
Regards
PGutiérrez
 
Back to Top
administrator View Drop Down
Admin Group
Admin Group

Stefan Mueller

Joined: 25-January-2003
Location: New Zealand
Points: 1027
Post Options Post Options   Thanks (0) Thanks(0)   Quote administrator Quote  Post ReplyReply Direct Link To This Post Posted: 12-November-2015 at 7:03am
Dear Pedro,

Can you please mail me a copy of your script to support@orcl-toolbox.com ?  
I can't see the problem - looks all fine to me how your function is defined!

Regards,
Stefan
Back to Top
administrator View Drop Down
Admin Group
Admin Group

Stefan Mueller

Joined: 25-January-2003
Location: New Zealand
Points: 1027
Post Options Post Options   Thanks (0) Thanks(0)   Quote administrator Quote  Post ReplyReply Direct Link To This Post Posted: 13-November-2015 at 4:05pm
Dear Pedro,

Thank you for supplying the script – this bug got fixed in build 427

3.00.0427 30-October-2013
  PowerSearch, The property-search mode has been implemented 
  global, improved error handling for tasklist/moduleloader so failed load attempts are now properly propagated
  Script, LogParamScreen(ps : TParamScreen) added again for compatibility (but as deprecated)
  Script, opening script file from commandline now works
  Script, saving scripts didn't add them to the recently used list
  Script, type-declarations wrongly required a double semicolon ';;' at the end
  Script, records weren't working pl/sql style missing semicolon between variable name and data type.
help, document new array method functions setlength/peek/pop/swap/add/remove/insert/sort/indexof/reverse/count/low/high/etc

can you please update to the latest version?

Or changing line 88 
From:   type EFileOnlyRead    = class(Exception);
To: type EFileOnlyRead    = class(Exception);;

Should probably also work.

Regards,
Stefan

Back to Top
pgutierrez View Drop Down
Groupie
Groupie


Joined: 10-November-2015
Location: Spain
Points: 5
Post Options Post Options   Thanks (0) Thanks(0)   Quote pgutierrez Quote  Post ReplyReply Direct Link To This Post Posted: 15-November-2015 at 10:33am
Hi Stefan, 

With the workarount on line 88 works fine.
In a few days I try to upgrade with 3.00.0427

Regards
PGutierrez
Back to Top
pgutierrez View Drop Down
Groupie
Groupie


Joined: 10-November-2015
Location: Spain
Points: 5
Post Options Post Options   Thanks (0) Thanks(0)   Quote pgutierrez Quote  Post ReplyReply Direct Link To This Post Posted: 15-November-2015 at 10:55pm
Hi Stefan, 

We try to download 3.00.0427, but can't view. We use http://www.orcl-toolbox.com/download and shows Build 436

FormsAPI Master V3.0 (Build 436) - 64bit
Supports Oracle Forms 11g (64bit)
Released on 13-Aug-2015
Size 9,284 KB

Regards
PGutierrez
Back to Top
pgutierrez View Drop Down
Groupie
Groupie


Joined: 10-November-2015
Location: Spain
Points: 5
Post Options Post Options   Thanks (0) Thanks(0)   Quote pgutierrez Quote  Post ReplyReply Direct Link To This Post Posted: 15-November-2015 at 11:26pm
Hi Stefan, 

Sorry, I mistake with the version numbers.
I try with the last one: 

FormsAPI Master V3.0 (Build 436) - 64bit
Supports Oracle Forms 11g (64bit)
Released on 13-Aug-2015

Regards
PGutiérrez
Back to Top
administrator View Drop Down
Admin Group
Admin Group

Stefan Mueller

Joined: 25-January-2003
Location: New Zealand
Points: 1027
Post Options Post Options   Thanks (0) Thanks(0)   Quote administrator Quote  Post ReplyReply Direct Link To This Post Posted: 16-November-2015 at 3:03am
Build 436 will be fine - i always recommend to use the latest build - anything later than build 427 will include your bugfix! Build 437 (with support for Forms12c should be out later this week).

Regards,
Stefan
Back to Top
 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down

Forum Software by Web Wiz Forums® version 11.01
Copyright ©2001-2014 Web Wiz Ltd.